Package Details: goldendict_qt4-git 1.5.0.RC2.197.g8dd4d9f0-1

Git Clone URL: https://aur.archlinux.org/goldendict_qt4.git (read-only, click to copy)
Package Base: goldendict_qt4
Description: Feature-rich dictionary lookup program.
Upstream URL: http://goldendict.org/
Licenses: GPL3
Conflicts: goldendict, goldendict-git-opt, goldendict-svn
Provides: goldendict
Replaces: goldendict, goldendict-git-opt, goldendict-svn
Submitter: majid.madadi
Maintainer: majid.madadi
Last Packager: majid.madadi
Votes: 0
Popularity: 0.000000
First Submitted: 2021-12-03 19:50 (UTC)
Last Updated: 2021-12-03 19:50 (UTC)

Latest Comments

MarsSeed commented on 2022-03-21 13:26 (UTC) (edited on 2022-03-21 13:36 (UTC) by MarsSeed)

Hi,

This package should not define anything in replaces=().

Because this is meant to be a legacy alternative package.

It should't make Pacman want to override all other

goldendict packages even without the user asking for such.

rezakakam commented on 2022-02-19 05:19 (UTC) (edited on 2022-02-19 05:20 (UTC) by rezakakam)

Hey. First of all, Thank you, I've had this issue of RTL languages with goldendict qt5 version forever and the only seemingly option was to compile goldendict from source with qt4 which seems like a daunting task for a "newbie".

Second, there is an error in build.

ffmpegaudio.cc:226:32: error: invalid conversion from ‘const AVCodec*’ to ‘AVCodec*' [-fpermissive]
226 |   codec_ = avcodec_find_decoder( audioStream_->codecpar->codec_id );
  |            ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  |                                |
  |                                const AVCodec*

majid.madadi commented on 2021-12-03 22:06 (UTC)

Hi, Thank you for your comments. I am installing the Goldendict dictionary which has a problem with RTL dictionaries. The authors say the bug is in qt5 webkit/webengine as it can't render RTL languages properly. The windows version is built by qt4 and works perfectly fine with RTL dictionaries.

FabioLolix commented on 2021-12-03 20:56 (UTC)

Hello,

  • git+https:// is preferred over git://
  • about conflicts/provides/replaces this need conflicts/provides goldendict only

seriously, are you uploading a Qt4 pkgbuild in 2021?